
package de.ivu.elect.presentation.kandidatur.table;

import de.ivu.elect.business.kandidatur.entity.KandidaturKumulierteStimmen;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.presentation.table.AbstractColumnEntry;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class KandidaturKumulierteStimmenAnzahlGesamtstimmenColumn
    extends
      AbstractColumnEntry<KandidaturKumulierteStimmen> {

  private static final long serialVersionUID = 1L;

  public KandidaturKumulierteStimmenAnzahlGesamtstimmenColumn(Messages messages) {
    super(messages);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.LONG;
  }

  @Override
  public String getHeader() {
    return getMessage("kandidatur.kumulierte.stimmen.anzahl.gesamtstimmen");
  }

  @Override
  public Object getValue(KandidaturKumulierteStimmen kandidaturKumulierteStimmen) {
    return kandidaturKumulierteStimmen.getAnzahlGesamtstimmen();
  }
}
